<div class="style-block" style="background: {{settings.bg_color6}}; display: none;" id="recently_view">
  <h2> </h2>
  <ul class="small-prod-list" id="mod-recently-view">	
  </ul>
</div>
<style>
  .small-prod-list li {
	overflow: hidden;
	margin-bottom: 15px;
}
.small-prod-list .title {
	font-size: 116%;
	color: #000;
	text-decoration: underline;
	margin-bottom: 10px;
	display: block;
}
.small-prod-list a.title:hover {
	text-decoration: none;
}
.small-prod-list img {
	   max-height: 48px;
	   max-width: 48px;
  vertical-align: middle;
 margin-top: -2px;
}
.small-prod-list .img {
	display: block;
	  height: 50px;
	  margin-right: 10px;
	  width: 50px;
      line-height: 50px;
      text-align: center;

}
.small-prod-list .buyzone {
	padding-top: 5px;
}
.small-prod-list .price {
	font-size: 116%;
	font-weight: bold;
	color: #000;
}
.small-prod-list .old-price {
	text-decoration: line-through;
}
.buyzone p {
	margin-bottom: 10px;
}

</style>
{% assign mod_recently_view_count = 3 %}

<script type="text/javascript">
  function saveProduct(pid) {
        if ($.cookie('product_ids') != null) {
          var arr = $.cookie('product_ids').split(',');
          for (var i = 0; i < arr.length; i++) {
            if (arr[i] == pid) {
              return;
            }
          }
          if (arr.length >= {{ mod_recently_view_count }}) {
            arr.shift();
          }
          arr.push(pid);
          $.cookie('product_ids', arr, {
            path: '/'
          });
        } else {
          $.cookie('product_ids', pid, {
            path: '/'
          });
        }
      }
  
  $(function() {   
    if($.cookie('product_ids') != null) {
      $.getJSON("/products_by_id/"+$.cookie('product_ids')+".json",
        function(data){
          var products = '';
          $.each(data.products, function(i,product){
            products += '<li><a href="/product/?product_id=' + product.id + '" class="title">'+ product.title +'</a>';
            if (product.images.length > 0) { 
            products +=  '<a href="/product/?product_id=' + product.id + '" class="img fl"><img src="'+ product.images[0].url +'" alt="'+ product.title +'" /></a>';
            products +=  '<div class="buyzone"><p class="price">'+ InSales.formatMoney(product.variants[0].base_price, "{{money_with_currency_format}}") + '</p>';
            if (product.variants[0].old_price != null) { 
              products += '<p class="old-price">' + InSales.formatMoney(product.variants[0].old_price, "{{money_with_currency_format}}")+'</p>';
            }
            products += '</div></li>';
            }
          });  
          $('#mod-recently-view').html(products);
        });
      $('#recently_view').show();
    }
    {% if template == 'product' %}
      saveProduct({{product.id}});
     {% endif %}
     });    
</script>    


